FixedRateBondHelper Class Reference

Fixed-coupon bond helper for curve bootstrap. More...

`#include <ql/termstructures/yield/bondhelpers.hpp>`

Inheritance diagram for FixedRateBondHelper:
[legend]

## Public Member Functions

FixedRateBondHelper (const Handle< Quote > &price, Natural settlementDays, Real faceAmount, const Schedule &schedule, const std::vector< Rate > &coupons, const DayCounter &dayCounter, BusinessDayConvention paymentConv=Following, Real redemption=100.0, const Date &issueDate=Date(), const Calendar &paymentCalendar=Calendar(), const Period &exCouponPeriod=Period(), const Calendar &exCouponCalendar=Calendar(), const BusinessDayConvention exCouponConvention=Unadjusted, bool exCouponEndOfMonth=false, const bool useCleanPrice=true)

Additional inspectors
boost::shared_ptr< FixedRateBond > | fixedRateBond () const
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from BondHelper
| BondHelper (const Handle< Quote > &price, const boost::shared_ptr< Bond > &bond, bool useCleanPrice=true)
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
boost::shared_ptr< Bond > | bond () const
bool | useCleanPrice () const
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
virtual void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes

boost::shared_ptr< FixedRateBond > | fixedRateBond_
Protected Attributes inherited from BondHelper
boost::shared_ptr< Bond > | bond_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
bool | useCleanPrice_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

Fixed-coupon bond helper for curve bootstrap.

Examples:
  Bonds.cpp, and FittedBondCurve.cpp.